> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a session



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/customer_sessions/{session_id}
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/customer_sessions/{session_id}:
    get:
      tags:
        - Customer Sessions
      summary: Retrieve a session
      operationId: getSession
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Customer session retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerSession'
        '404':
          description: Session not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionNotFoundError'
components:
  schemas:
    CustomerSession:
      type: object
      description: Represents a session created on behalf of an Imprint customer
      required:
        - id
        - client_secret
        - expires_at
      properties:
        id:
          type: string
          example: 2EE24580-B97B-4949-A65C-929CCB9B9B8D
          description: The unique ID Imprint assigns to the session.
        client_secret:
          type: string
          example: QzMyNzg4QzgtNEUwOS00QkU4LThDMjEtMkU5OUQ3QzkwRDhGCg==
          description: >-
            Not to be logged or stored. Provide this one time use token to the
            Imprint SDK or other client side code to allow the customer access
            to edit their own account or apply
        expires_at:
          type: string
          description: the RFC-3339 timestamp when the `client_secret` will expire.
          example: '2025-02-13T19:08:07.000Z'
        metadata:
          type: object
          description: >-
            Set of key-value pairs for storing additional information about the
            customer session.
          additionalProperties: true
          example:
            store_number: '123'
        source:
          type: string
          description: The source where the session was initiated
          example: web_signup
    SessionNotFoundError:
      type: object
      required:
        - type
        - message
      properties:
        type:
          type: string
          description: The category of error being returned
          example: SESSION_NOT_FOUND_ERROR
        message:
          type: string
          description: A message describing the cause of the error
          example: 'Session not found for provided ID: cs_123'
        param:
          type: string
          description: The param causing the error
          example: session_id
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````